﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Interfejsy
{
    class Program
    {
        public interface ICallable //dzwanialny
        {
            int NumerTelefonu { get; }
            void Call();
        }

        public class Osoba : ICallable
        {
            public string Imię, Nazwisko;

            public int NumerTelefonu { get { return 123456789; } }

            public void Call()
            {
                Console.WriteLine("Dzwonię do osoby " + Imię + " " + Nazwisko + ", tel. " + NumerTelefonu);
            }
        }

        public class Instytucja : ICallable
        {
            public string Nazwa;

            public int NumerTelefonu { get { return 237647283; } }

            public void Call()
            {
                Console.WriteLine("Dzwonię do instytucji " + Nazwa + ", tel. " + NumerTelefonu);
            }
        }

        static void Main(string[] args)
        {
            Osoba osoba = new Osoba() { Imię = "Jan", Nazwisko = "Kowalski" };
            //Console.WriteLine(osoba.ToString());
            Instytucja instytucja = new Instytucja() { Nazwa = "UMK" };

            ICallable[] tablica = new ICallable[2] { osoba, instytucja };
            foreach (ICallable element in tablica)
                element.Call();
        }
    }
}
